// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/ADADIO/ADADIO_Linux_3.x.x.x_GSC_DN/samples/sbtest/perform.c $
// $Rev: 52466 $
// $Date: 2023-01-30 13:55:32 -0600 (Mon, 30 Jan 2023) $

// ADADIO: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	int	errs	= 0;

	errs	+= reg_read_test(args->fd);				// ADADIO_IOCTL_REG_READ
	errs	+= reg_write_test(args->fd);			// ADADIO_IOCTL_REG_WRITE
	errs	+= reg_mod_test(args->fd);				// ADADIO_IOCTL_REG_MOD
	errs	+= query_test(args->fd);				// ADADIO_IOCTL_QUERY
	errs	+= initialize_test(args->fd);			// ADADIO_IOCTL_INITIALIZE
	errs	+= auto_calibrate_test(args->fd);		// ADADIO_IOCTL_AUTO_CALIBRATE
	errs	+= rx_io_abort_test(args->fd);			// ADADIO_IOCTL_RX_IO_ABORT
	errs	+= rx_io_mode_test(args->fd);			// ADADIO_IOCTL_RX_IO_MODE
	errs	+= rx_io_timeout_test(args->fd);		// ADADIO_IOCTL_RX_IO_TIMEOUT
	errs	+= ain_buf_clear_test(args->fd);		// ADADIO_IOCTL_AIN_BUF_CLEAR
	errs	+= ain_buf_enable_test(args->fd);		// ADADIO_IOCTL_AIN_BUF_ENABLE
	errs	+= ain_buf_size_test(args->fd);			// ADADIO_IOCTL_AIN_BUF_SIZE
	errs	+= ain_buf_sts_test(args->fd);			// ADADIO_IOCTL_AIN_BUF_STS
	errs	+= ain_chan_last_test(args->fd);		// ADADIO_IOCTL_AIN_CHAN_LAST
	errs	+= ain_mode_test(args->fd);				// ADADIO_IOCTL_AIN_MODE
	errs	+= ain_nrate_test(args->fd);			// ADADIO_IOCTL_AIN_NRATE
	errs	+= ain_trigger_test(args->fd);			// ADADIO_IOCTL_AIN_TRIGGER
	errs	+= aout_ch_0_write_test(args->fd);		// ADADIO_IOCTL_AOUT_CH_0_WRITE
	errs	+= aout_ch_1_write_test(args->fd);		// ADADIO_IOCTL_AOUT_CH_1_WRITE
	errs	+= aout_ch_2_write_test(args->fd);		// ADADIO_IOCTL_AOUT_CH_2_WRITE
	errs	+= aout_ch_3_write_test(args->fd);		// ADADIO_IOCTL_AOUT_CH_3_WRITE
	errs	+= aout_enable_test(args->fd);			// ADADIO_IOCTL_AOUT_ENABLE
	errs	+= aout_strobe_test(args->fd);			// ADADIO_IOCTL_AOUT_STROBE
	errs	+= aout_strobe_enable_test(args->fd);	// ADADIO_IOCTL_AOUT_STROBE_ENABLE
	errs	+= data_format_test(args->fd);			// ADADIO_IOCTL_DATA_FORMAT
	errs	+= dio_pin_read_test(args->fd);			// ADADIO_IOCTL_DIO_PIN_READ
	errs	+= dio_pin_write_test(args->fd);		// ADADIO_IOCTL_DIO_PIN_WRITE
	errs	+= dio_port_dir_test(args->fd);			// ADADIO_IOCTL_DIO_PORT_DIR
	errs	+= dio_port_read_test(args->fd);		// ADADIO_IOCTL_DIO_PORT_READ
	errs	+= dio_port_write_test(args->fd);		// ADADIO_IOCTL_DIO_PORT_WRITE
	errs	+= irq_sel_test(args->fd);				// ADADIO_IOCTL_IRQ_SEL
	errs	+= loopback_channel_test(args->fd);		// ADADIO_IOCTL_LOOPBACK_CHANNEL
	errs	+= wait_event_test(args->fd);			// ADADIO_IOCTL_WAIT_EVENT
	errs	+= wait_cancel_test(args->fd);			// ADADIO_IOCTL_WAIT_CANCEL
	errs	+= wait_status_test(args->fd);			// ADADIO_IOCTL_WAIT_STATUS

	return(errs);
}


